org.eclipse.cdt.core.language.settings.providers

## Interface ILanguageSettingsChangeEvent

    public interface ILanguageSettingsChangeEvent

Contains the details of changes that occurred as a result of modifying language settings entries `ICLanguageSettingEntry`. This event is intended to be fired for changes in entries, not necessarily providers. The event is associated with a project.

EXPERIMENTAL. This class interface is not stable yet as it is not currently clear how it may need to be used in future. Only bare minimum is provided here at this point (CDT 8.1, Juno). There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  5.4
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<org.eclipse.core.resources.IResource>` `getAffectedResources(String cfgId)`
`String[]` `getConfigurationDescriptionIds()`
`String` `getProjectName()`

### Method Detail

#### getProjectName

    String getProjectName()

Returns:
  project name where the event occurred.

#### getConfigurationDescriptionIds

    String[] getConfigurationDescriptionIds()

Returns:
  configuration IDs which are affected by the language settings entries changes.

#### getAffectedResources

    Set<org.eclipse.core.resources.IResource> getAffectedResources(String cfgId)

Returns:
  list of resources affected by the language settings entries changes.